<?php
/**
 * JBZoo is universal CCK based Joomla! CMS and YooTheme Zoo component
 * @category   JBZoo
 * @author     smet.denis <admin@joomla-book.ru>
 * @copyright  Copyright (c) 2009-2013, Joomla-book.ru
 * @license    http://joomla-book.ru/info/disclaimer
 * @link       http://joomla-book.ru/projects/jbzoo JBZoo project page
 */
defined('_JEXEC') or die('Restricted access');

$zoo = App::getInstance('zoo');
$zoo->jbassets->initJBPrice();

$rowCounter = (int)$params->get('counter');

echo '<label class="jbprice-row jbprice-row-' . $rowCounter . '">';
$htmlValues = array();

if ($template == 'oneclick') {

    $checked = '';
    if ($rowCounter == 0) {
        $checked = 'checked="checked"';
    }

    echo '<input type="radio" ' . $checked . ' value="' . $rowCounter . '"
        name="jbprice-' . $this->getItem()->id . '-' . $params->get('uniqid') . '" />&nbsp;';

}

foreach ($values as $currency => $value) {

    $activeClass = '';
    if ($currency == $activeCur) {
        $activeClass = ' active';
    }

    if ($value['noFormat'] > 0) {
        $htmlValues[] = '<span class="price-value jsPriceValue price-currency-' . $currency . $activeClass . '">' . $value['format'] . '</span>';
    }
}


echo implode("\n", $htmlValues) . "\n";

if ($description) {
    echo '<span class="description">' . $description . '</span> ';
}

echo '</label>';
